Anonymous Login
2019-02-21 16:19 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001344v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001344: workaround: importtasks sets wrong date for dynamic tasks
Descriptionupdatedynamics is called at store, but at that time, importtasks probably has not set the dependencies yet.

So after a full import, some dynamic tasks have wrong end dates.
(this happens after using the other fix I loaded up taking care of the other date problems, but also in current head).

workaround: call updatedynamics on each task at the end of importtasks.
Probably not script time efficient.


In principle, one could switch off all calls to updatedynamics while the tasks are copied over and then do one final run of updatdynamics on all tasks.
TagsNo tags attached.
Attached Files

-Relationships
child of 0001217closedcaseydk dependency questions/confusions 
+Relationships

-Notes

~0002981

caseydk (administrator)

Reworked this whole thing in the latest development. You can see the changes in Github but here's one of the most important ones:
https://github.com/web2project/web2project/commit/3fd12443a1330d86a5997c9f571935e8e7773ab0
+Notes

-Issue History
Date Modified Username Field Change
2013-06-30 09:39 opto New Issue
2013-08-03 15:12 caseydk Relationship added child of 0001217
2013-08-03 22:40 caseydk Note Added: 0002981
2013-08-03 22:40 caseydk Status new => resolved
2013-08-03 22:40 caseydk Resolution open => fixed
2013-08-03 22:40 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History